Bug 381321 - Dependency problem for libnetfilter_queue-devel
Dependency problem for libnetfilter_queue-devel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libnetfilter_queue (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 19:13 EST by Eric Leblond
Modified: 2008-11-19 09:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 09:56:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Leblond 2007-11-13 19:13:54 EST
Description of problem:

libnetfilter_queue-devel should depends on libnfnetlink-devel

Version-Release number of selected component (if applicable):

libnetfilter_queue-0.0.13-3.fc6

Additionnal info:

The file 
/usr/include/libnetfilter_queue/libnetfilter_queue.h
is the main include file of libnetfilter_queue.

It starts with 

#include <libnfnetlink/libnfnetlink.h>

which is included in libnfnetlink-devel.

Same problem also occurs for libnetfilter_conntrack-devel.
Comment 1 Paul P Komkoff Jr 2008-02-24 11:53:37 EST
This is fixed in -devel (among with other things). I don't know if I should push
the updates to F-7 and F-8. I think I should.
Comment 2 Bug Zapper 2008-05-14 11:03:25 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Paul P Komkoff Jr 2008-05-23 15:38:04 EDT
I will issue set of updates for both F-7 and F-8 this weekend.
Comment 4 Paul P Komkoff Jr 2008-07-18 11:55:42 EDT
I suck for not issuing updates on time.
Comment 5 Fedora Update System 2008-11-19 09:55:57 EST
libnfnetlink-0.0.39-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.